
/*============================================================================
 Name        : main.h
 Author      :
 Date  	     : 2015.10
 Copyright   : ZKSoftware Inc.
 Description : Linux C
 ============================================================================*/
#ifndef _MAIN_H_
#define _MAIN_H_

#define zk_free(p)  do {free(p);} while(0)
void *zk_malloc(size_t size);
/************************** User file ***************************/
int WU_FILE(void);
int WT_FILE(int model);
int RT_FILE(unsigned char *data, char *filename);
int WL_FILE(void);
unsigned long Read_FILE(unsigned char *data, char *path);
int Write_file(char dir_flag, char *curPath);

int ViewData(void);
int version(void);
/**************************** debug *****************************/
void PrintInfo(void);
int input_info(int *userID);
int new_user(int *userID, char *name, char *password, unsigned char *Card);

#endif /* _MAIN_H_ */
